Bug 710219 - Requires ruby(gtk2)
Summary: Requires ruby(gtk2)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-json_pure
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Fojtik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-02 17:57 UTC by Mike McGrath
Modified: 2011-06-15 05:46 UTC (History)
1 user (show)

Fixed In Version: rubygem-json_pure-1.5.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-15 05:46:39 UTC


Attachments (Terms of Use)

Description Mike McGrath 2011-06-02 17:57:48 UTC
json_pure is often used by people just wanting to use native ruby libraries (to keep deps low)

At present rubygem-json_pure pulls in ruby(gtk2) which in turn pulls in over 15 deps.  By removing the gtk2 dep, json_pure stays light.

Comment 1 Michal Fojtik 2011-06-03 08:33:03 UTC
Thanks for suggestion Mike, I'll look on that issue and push an update for json_pure today.

Comment 2 Fedora Update System 2011-06-03 09:06:31 UTC
rubygem-json_pure-1.5.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-json_pure-1.5.1-1.fc14

Comment 3 Fedora Update System 2011-06-04 03:04:06 UTC
Package rubygem-json_pure-1.5.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-json_pure-1.5.1-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/rubygem-json_pure-1.5.1-1.fc14
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-06-15 05:46:34 UTC
rubygem-json_pure-1.5.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.